Bug 359961 - Review Request: drupal-service_links - Enables admins to add links to a number of sites
Review Request: drupal-service_links - Enables admins to add links to a numbe...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sven Lankes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-31 07:14 EDT by Jon Ciesla
Modified: 2008-09-15 13:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-15 13:31:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sven: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jon Ciesla 2007-10-31 07:14:01 EDT
Spec URL: http://zanoni.jcomserv.net/fedora/drupal-service_links/drupal-service_links.spec
SRPM URL: http://zanoni.jcomserv.net/fedora/drupal-service_links/drupal-service_links-1.0-1.fc7.src.rpm
Description: The service links module enables admins to add links to a number of social 
bookmarking sites, blog search sites etc. Includes sites are del.icio.us, 
Digg, Reddit, ma.gnolia.com, Newsvine, Furl, Google, Yahoo, Technorati and 
IceRocket.
Comment 1 Jon Ciesla 2008-02-22 13:21:43 EST
Drupal 6.0 going to rawhide, 6.x version of this module not yet ready.
Comment 3 Sven Lankes 2008-07-26 20:14:43 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: f9/i386
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:GPLv2
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM of package: dba6c7dd50c56acd97aaa8a5bab320df4d5b877d
service_links-6.x-1.0.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: f9/i386
 [?] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.

APPROVED
Comment 4 Jon Ciesla 2008-07-28 10:49:29 EDT
Pretty good!  Thanks for the review!

New Package CVS Request
=======================
Package Name: drupal-service_links
Short Description: Enables admins to add links to a number of sites
Owners: limb
Branches: F-9
InitialCC:
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-07-28 12:15:03 EDT
cvs done.
Comment 6 Fedora Update System 2008-07-28 14:04:53 EDT
drupal-service_links-6.x.1.0-1.fc9 has been submitted as an update for Fedora 9
Comment 7 Fedora Update System 2008-07-30 16:04:40 EDT
drupal-service_links-6.x.1.0-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update drupal-service_links'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6814
Comment 8 Fedora Update System 2008-07-31 08:35:34 EDT
drupal-service_links-6.x.1.0-2.fc9 has been submitted as an update for Fedora 9
Comment 9 Fedora Update System 2008-08-07 19:48:24 EDT
drupal-service_links-6.x.1.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Jon Ciesla 2008-09-15 13:31:16 EDT
Closing.

Note You need to log in before you can comment on or make changes to this bug.